Attach or detach labels to/from UTXOs
Attach or detach labels to/from UTXOs in a vault account. Labels can be used for organizing and filtering UTXOs.
Labels are applied additively — labelsToAttach adds to the existing label set and labelsToDetach removes from it. Neither operation replaces the full set.
Note: These endpoints are currently in beta and might be subject to changes.
Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
The ID of the vault account
The ID of the asset
Body
List of UTXO identifiers to apply label changes to
1 - 200 elementsLabels to attach to the specified UTXOs. At least one of labelsToAttach or labelsToDetach must be provided.
1 - 5 elements30["cold-storage", "vip"]Labels to detach from the specified UTXOs. At least one of labelsToAttach or labelsToDetach must be provided.
1 - 5 elements30["deprecated"]Response
UTXOs with updated labels
Modified UTXOs with updated labels